%define name	nil
%define title	NiL
%define version	000516
%define release %mkrel 21
%define prefix	%{_prefix}
%define summary	%{title} Isn't Liero
%define group	Games/Arcade
%define section	Amusement/Arcade
%define icon	%{name}.png

Summary:	%{summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		%{group}
Source:		http://dl.sf.net/nil/%{name}-%{version}.tar.bz2
Source10:	%{name}.16.png.bz2
Source11:	%{name}.32.png.bz2
Source12:	%{name}.48.png.bz2
Patch0:		nil-add-pkgdatadir.patch
Patch1:		nil-000516-i18ned-keys.patch
Patch2:		nil-remove-debug-printings.patch
Patch3: nil-000516-gcc31.patch
Patch4:		nil-64.patch
URL:		http://nil.sf.net/
BuildRequires:	SDL-devel 
BuildRequires:  SDL_mixer-devel 
BuildRequires:  X11-devel 
BuildRequires:  zlib-devel
BuildRequires:  automake1.4
BuildRequires:  autoconf2.1
Requires:	common-licenses

%description
The game itself can be described either as Quake in 2D or worms done right
(ie not turn based), the basic game play is kill kill kill, with a wide
selection of interesting weapons.

Porting apparently wasn't much of a priority for the authour, so I set
about reimplementing it on Linux.

%prep
%setup -q -n %{name}
%patch0 -p0
%patch1 -p1
%patch2 -p0
%patch3 -p0
%patch4 -p1
# remove nasty no-newline-at-end-of-line, it bothers gcc-2.96
find . -name "*.h" -exec perl -pi -e '$_.="\n" if eof' {} \;

%build
cd nil
autoconf-2.13
automake-1.4 -a
%configure
make

%install
mkdir -p %{buildroot}{%{_bindir},%{_datadir}/nil}
cp nil/nil/nil %{buildroot}/%{_bindir}
cp -a gfx %{buildroot}/%{_datadir}/nil
rm -rf %{buildroot}/%{_datadir}/nil/gfx/{CVS,*/CVS,*/*/CVS,*/*/*/CVS}

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications/
cat << EOF > %buildroot%{_datadir}/applications/mandriva-%{name}.desktop
[Desktop Entry]
Type=Application
Exec=%{_bindir}/%{name}
Icon=%{icon}  
Categories=%{section}
Name=%{title}  
Comment=%{summary}
EOF

mkdir -p %{buildroot}{%{_iconsdir},%{_liconsdir},%{_miconsdir}}
bzcat %{SOURCE10} > %{buildroot}%{_miconsdir}/%{icon}
bzcat %{SOURCE11} > %{buildroot}%{_iconsdir}/%{icon}
bzcat %{SOURCE12} > %{buildroot}%{_liconsdir}/%{icon}

rm -rf %{buildroot}%{_datadir}/nil/gfx/original/fonts/ttf

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc README AUTHORS docs/*.txt docs/TODO
%{_bindir}/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{_datadir}/applications/mandriva-%{name}.desktop
%{_miconsdir}/%{icon}
%{_iconsdir}/%{icon}
%{_liconsdir}/%{icon}




%changelog
* Tue Dec 18 2007 Thierry Vignaud <tvignaud@mandriva.com> 000516-21mdv2008.1
+ Revision: 132316
- auto-convert XDG menu entry
- kill re-definition of %%buildroot on Pixel's request
- BuildRequires autoconf2.1
- buildrequires X11-devel instead of XFree86-devel


* Sat Dec 02 2006 Pascal Terjan <pterjan@mandriva.org> 000516-21mdv2007.0
+ Revision: 90043
- Fix build on x86_64
- Import nil

* Wed Apr 19 2006 Nicolas Lcureuil <neoclust@mandriva.org> 000516-21mdk
- Fix BuildRequires
- use mkrel

* Sat Jul 10 2004 Michael Scherer <misc@mandrake.org> 000516-20mdk 
- rebuild for new gcc34

